Name:           ocaml-postgresql
Version:        2.0.2
Release:        %mkrel 2
Summary:        OCaml library for accessing PostreSQL databases
Group:          Development/OCaml
License:        LGPLv2+ with exceptions
URL:            https://bitbucket.org/mmottl/postgresql-ocaml
Source0:        https://bitbucket.org/mmottl/postgresql-ocaml/downloads/postgresql-ocaml-%{version}.tar.gz

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  postgresql-devel
Requires:  postgresql-devel

%description
This OCaml-library provides an interface to PostgreSQL, an efficient
and reliable, open source, relational database.  Almost all
functionality available through the C-API (libpq) is replicated in a
type-safe way.  This library uses objects for representing database
connections and results of queries.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n postgresql-ocaml-%{version}

%build
make

%install
rm -rf %{buildroot}
# These rules work if the library uses 'ocamlfind install' to install itself.
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
%makeinstall_std

%files
%doc README.md AUTHORS.txt COPYING.txt CHANGES.txt
%dir %{_libdir}/ocaml/postgresql/
%{_libdir}/ocaml/postgresql/*.cma
%{_libdir}/ocaml/postgresql/*.cmi
%{_libdir}/ocaml/postgresql/*.cmxs
%{_libdir}/ocaml/postgresql/META
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc examples/
%{_libdir}/ocaml/postgresql/*.a
%{_libdir}/ocaml/postgresql/*.cmxa
%{_libdir}/ocaml/postgresql/*.cmx
%{_libdir}/ocaml/postgresql/*.mli


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.0.2-2.mga3
+ Revision: 361572
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 02 2012 blue_prawn <blue_prawn> 2.0.2-1.mga3
+ Revision: 302179
- include *.cmx and *.cmxs files
- new filename for *.txt files
- new filename for *.txt files
- name changed for root directory
- updated to last version 2.0.2

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.18.0-5.mga3
+ Revision: 302138
- rebuild for new ocaml 4.00
- new rpm group for ocaml

* Thu Apr 05 2012 malo <malo> 1.18.0-3.mga2
+ Revision: 228780
- bump rel
- adding missing requires to postgresql-devel

* Fri Mar 23 2012 blue_prawn <blue_prawn> 1.18.0-1.mga2
+ Revision: 225885
- imported from Mandriva

